Bug 1024802 - python-kitchen: Support Python 3
Summary: python-kitchen: Support Python 3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-kitchen
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1024799
TreeView+ depends on / blocked
 
Reported: 2013-10-30 13:11 UTC by Miro Hrončok
Modified: 2014-12-03 11:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-02 20:34:40 UTC
a.badger: needinfo-


Attachments (Terms of Use)

Description Miro Hrončok 2013-10-30 13:11:07 UTC
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

https://fedoraproject.org/wiki/Changes/Python_3_as_Default

While this package is not in minimal buildroot, it belongs to fedora-packager stack. We would like to switch to Python 3 there as well.

The goal here is, that at least for F22 you should provide python3- prefixed subpackage.

Please, help us update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add the support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, say so and we can solve the problem together.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3#fedora-packager

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)

Comment 1 Toshio Ernie Kuratomi 2013-10-30 21:48:14 UTC
The py3port branch should work codewise but it may be better to use a single codebase instead of dual branch strategy.  Need to evaluate the feasability of this.  Problems with single codebase are:
* need to support python2.4
* code needs to be very particular about whether it's dealing with bytes or text

In order to simply release the py3port branch we at least need to update the documentation (doc/ directory and docstrings) to reflect python3 instead of python2.  For most of it, that's a huge review task.  For some of it, it will be a rewriting from scratch (the two or three places that get into best practices as opposed to documenting API).

Comment 2 Robert Kuska 2014-07-24 17:21:49 UTC
Hi,

whats the status with Python 3 support? Do you need any help with specific things?

Comment 3 Toshio Kuratomi 2014-07-24 19:33:16 UTC
yes, if you'd like to take a look at the things mentioned in Comment 1: deciding whether it would be possible to go with a single code base or if two codebases makes more sense and updating the documentation to reflect python3 objects and best practices that would be the tasks that are needed.

Comment 4 Toshio Kuratomi 2014-07-24 19:36:29 UTC
Current HEAD: http://bzr.fedorahosted.org/bzr/kitchen/devel/files


Current python3 version: http://bzr.fedorahosted.org/bzr/kitchen/py3port/files

Comment 5 Ralph Bean 2014-09-12 19:09:58 UTC
The kitchen source upstream has been moved from bzr to git:

https://github.com/fedora-infra/kitchen

https://github.com/fedora-infra/kitchen/tree/py3port

Comment 6 Ralph Bean 2014-12-02 20:34:40 UTC
Built for rawhide, with python3!

http://koji.fedoraproject.org/koji/taskinfo?taskID=8279673

Comment 7 Miro Hrončok 2014-12-03 11:46:17 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.